# Uses of Enum Class
org.apache.datasketches.quantilescommon.InequalitySearch

Packages that use InequalitySearch
Package
Description
org.apache.datasketches.quantilescommon
This package contains common tools and methods for the quantiles, kll and req packages.

## Uses of InequalitySearch in org.apache.datasketches.quantilescommon

Methods in org.apache.datasketches.quantilescommon that return InequalitySearch
Modifier and Type
Method
Description
`static InequalitySearch`
InequalitySearch.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InequalitySearch[]`
InequalitySearch.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.datasketches.quantilescommon with parameters of type InequalitySearch
Modifier and Type
Method
Description
`static int`
InequalitySearch.`find(double[] arr, int low, int high, double v, InequalitySearch crit)`
Binary Search for the index of the double value in the given search range that satisfies the given InequalitySearch criterion.
`static int`
InequalitySearch.`find(float[] arr, int low, int high, float v, InequalitySearch crit)`
Binary Search for the index of the float value in the given search range that satisfies the given InequalitySearch criterion.
`static int`
InequalitySearch.`find(long[] arr, int low, int high, double v, InequalitySearch crit)`
Binary Search for the index of the double value in the given search range that satisfies the given InequalitySearch criterion.
`static int`
InequalitySearch.`find(long[] arr, int low, int high, long v, InequalitySearch crit)`
Binary Search for the index of the long value in the given search range that satisfies the given InequalitySearch criterion.